Package htsjdk.samtools

# Class SamReader.ReaderImplementation

java.lang.Object
htsjdk.samtools.SamReader.ReaderImplementation

All Implemented Interfaces:
  `SamReader.PrimitiveSamReader`

Direct Known Subclasses:
  `BAMFileReader`, `CRAMFileReader`, `HtsgetBAMFileReader`, `SRAFileReader`

Enclosing interface:
  `SamReader`

public abstract static class SamReader.ReaderImplementation extends Object implements SamReader.PrimitiveSamReader
Internal interface for SAM/BAM/CRAM file reader implementations, as distinct from non-file-based readers. Implemented as an abstract class to enforce better access control. TODO -- Many of these methods only apply for a subset of implementations, TODO -- and either no-op or throw an exception for the others. TODO -- We should consider refactoring things to avoid this; TODO -- perhaps we can get away with not having this class at all.

## Constructor Summary

Constructors
Constructor
Description
`ReaderImplementation()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface htsjdk.samtools.SamReader.PrimitiveSamReader

`close, getFileHeader, getFilePointerSpanningReads, getIndex, getIterator, getIterator, getValidationStringency, hasIndex, isQueryable, query, queryAlignmentStart, queryUnmapped, type`

## Constructor Details

### ReaderImplementation

public ReaderImplementation()